M220 - pip install -r requirement.txt -error

Hi,
I am getting below error while setting up the environment.

ckend\cython\_device.cp310-win_amd64.lib
      LINK : fatal error LNK1181: cannot open input file 'libzmq.cp310-win_amd64.lib'
      error: command 'C:\\Program Files (x86)\\Microsoft Visual Studio\\2022\\BuildTools\\VC\\Tools\\MSVC\\14.33.31629\\bin\\HostX86\\x64\\link.exe' failed with exit code 1181
      [end of output]

  note: This error originates from a subprocess, and is likely not a problem with pip.
  WARNING: No metadata found in c:\users\krish\anaconda3\envs\mflix\lib\site-packages
  Rolling back uninstall of pyzmq
  Moving to c:\users\krish\anaconda3\envs\mflix\lib\site-packages\pyzmq-23.2.1.dist-info\
   from C:\Users\krish\anaconda3\envs\mflix\Lib\site-packages\~yzmq-23.2.1.dist-info
  Moving to c:\users\krish\anaconda3\envs\mflix\lib\site-packages\pyzmq.libs\
   from C:\Users\krish\anaconda3\envs\mflix\Lib\site-packages\~yzmq.libs
  Moving to c:\users\krish\anaconda3\envs\mflix\lib\site-packages\zmq\
   from C:\Users\krish\anaconda3\envs\mflix\Lib\site-packages\~mq
error: legacy-install-failure

× Encountered error while trying to install package.
╰─> pyzmq

note: This is an issue with the package mentioned above, not pip.
hint: See above for output from the failure.

Hey @Gopalakrishnan_Thangamalai,

Welcome to the MongoDB Community Forums! :leaves:

I noticed the first line of your error statement saying cython. Are you using python or cython? If using python, can you please let us know the version you are using(the course has been tested with 3.8) along with which commands you ran?

Regards,
Satyam

Hi @Satyam. I am encountering the same error on the same package (pyzmq). I am running Python 3.10.5

Hi @Satyam
I am using python 3.10.4(Anaconda). I ran “pip install -r requirement.txt” under mflix environment

Hey @Chad_King and @Gopalakrishnan_Thangamalai,

Were you able to resolve this issue? If not, the easiest and quickest solution to this issue is to change your environment to Python 3.8 and this will allow you to move ahead in the course.

Regards,
Satyam